#ifndef _FRAMEWORK_H
#define _FRAMEWORK_H
 
#include "vector.h"
#include "glincl.h"


#define DATA_DIRECTORY "~/svn/data/"

class Camera;

class Framework {
 private:
  Camera* camera;
  
  int movement [4];
  
  Uint32 lastFrame;
  Uint32 currFrame;
    
  Uint8* keys; // This variable will be used in the keyboard routine
  bool mouse1Down;
  bool mouse2Down;

 public:
  Framework();
  ~Framework();
  
  bool mainLoop();
  bool draw(float dt);
  float tick();
  bool keyHandler();
};
#endif /* _FRAMEWORK_H */
